---

- name: ElasticSearch Install {{ansible_distribution}} {{ansible_distribution_release}}  | Installiere Abhängigkeiten
  package:
    name: "{{ item }}"
    state: present
  with_items: "{{ elastic_install_requirements }}"

- name: ElasticSearch Install  {{ansible_distribution}} {{ansible_distribution_release}} | 1. Release Key adden
  apt_key: 
    url: https://artifacts.elastic.co/GPG-KEY-elasticsearch
    state: present

- name: ElasticSearch Install  {{ansible_distribution}} {{ansible_distribution_release}} | 2. New ElasticSearch-Repo
  apt_repository:
    repo: deb https://artifacts.elastic.co/packages/7.x/apt stable main
    state: present
    filename: elasticsearch

- name: ElasticSearch Install  {{ansible_distribution}} {{ansible_distribution_release}}  | 1. Abhängigkeiten installieren
  package:
    name: "{{ item }}"
    state: present
  with_items:
    - elasticsearch

- name: ElasticSearch Install  {{ansible_distribution}} {{ansible_distribution_release}}  | Plugin Installieren
  community.general.elasticsearch_plugin:
    name: ingest-attachment
    state: present
    force: yes

- name: ElasticSearch Install  {{ansible_distribution}} {{ansible_distribution_release}}  | Starte Services
  ansible.builtin.service:
    name: elasticsearch
    state: started
    enabled: yes

